#
# spec file for package opencl-headers
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           opencl-headers
Version:        2.2+git.20170617
Release:        lp152.4.3.1
Summary:        OpenCL (Open Computing Language) headers
License:        MIT
Group:          Development/Libraries/C and C++
Url:            http://www.khronos.org/registry/cl/
Source:         %{name}-%{version}.tar.xz
BuildRequires:  xz
Conflicts:      opencl-headers-1_2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides the official Khronos Group OpenCL headers needed to
compile programs that use OpenCL.

%prep
%setup -q

%build

%install
install -d -m 0755 %{buildroot}%{_includedir}/CL
install -p -m 0644 opencl22/CL/*.h* %{buildroot}%{_includedir}/CL

%files
%defattr(-,root,root)
%dir %{_includedir}/CL
%{_includedir}/CL/*.h*

%changelog
* Tue Jun 20 2017 mpluskal@suse.com
- Update to version 2.2+git.20170617:
  * Bug 14749 - Incorrect clGetKernelSubGroupInfoKHR typedef in cl_ext.h
  * Remove C++ headers from repository
  * Update to March 2015 Khronos Free Use License
  * Remove unneeded EGL includes from cl_egl.h
  * Add snapshot of OpenCL 1.2 headers
  * Update to March 2015 Khronos Free Use License
  * Remove unneeded EGL includes from cl_egl.h
  * Add snapshot of OpenCL 1.1 headers
  * Update to March 2015 Khronos Free Use License
  * Add snapshot of OpenCL 1.0 headers
  * Update to March 2015 Khronos Free Use License
  * added CL_DEVICE_HALF_FP_CONFIG define
  * added CL_DEVICE_HALF_FP_CONFIG define
  * Fix gcc -Wundef warning
  * cl_halfn declarations
  * Fix gcc -Wundef warning
  * cl_halfn declarations
  * added headers for Intel vendor extensions
  * added headers for Intel vendor extensions
  * Add tokens for cl_img_use_gralloc_ptr, cl_img_cached_allocations and  cl_img_yuv_image extensions (#13)
  * Add tokens for cl_img_use_gralloc_ptr, cl_img_cached_allocations and  cl_img_yuv_image extensions (#13)
  * adding half defines to cl_platform.h
  * adding cl_arm_shared_virtual_memory extension
  * adding cl_arm_import_memory extension
  * adding half defines to cl_platform.h
  * adding cl_arm_import_memory extension
  * adding cl_arm_shared_virtual_memory extension
  * initial OpenCL 2.2 headers commit
  * added clSetProgramReleaseCallback and CL_INVALID_SPEC_ID
  * slightly more accurate CL_FLT_EPSILON
  * OpenCL 2.0 CL_FLT_EPSILON fix
  * OpenCL 1.2 CL_FLT_EPSILON fix
  * OpenCL 1.1 CL_FLT_EPSILON fix
  * OpenCL 1.0 CL_FLT_EPSILON fix
  * added CL_MAX_SIZE_RESTRICTION_EXCEEDED error code
  * Replace hexdecimal fp constants with decimal fp constants
  * Replace hexdecimal fp constants with decimal fp constants
  * Replace hexdecimal fp constants with decimal fp constants
  * Replace hexdecimal fp constants with decimal fp constants
  * Replace hexdecimal fp constants with decimal fp constants
  * header updates for cl_intel_planar_yuv header updates for cl_intel_device_side_avc_motion_estimation
  * header updates for cl_intel_planar_yuv header updates for cl_intel_device_side_avc_motion_estimation
  * header updates for cl_intel_planar_yuv header updates for cl_intel_device_side_avc_motion_estimation
  * Fix -Wundef warning under Ubuntu 14.04
  * Fix -Wundef warning under Ubuntu 14.04
  * Fix -Wundef warning under Ubuntu 14.04
  * Move 2.1 headers to opencl21/
  * cl_khr_sub_group_named_barrier -> cl_khr_subgroup_named_barrier
  * Remove duplicate ARM extension definition
  * Renamed cl_khr_sub_groups -> cl_khr_subgroups to be consistent with the spec
  * Move OpenCL 1.0 headers to opencl10/CL
  * Move OpenCL 1.1 headers to opencl11/CL
  * Move OpenCL 1.2 headers to opencl12/CL
  * Move OpenCL 2.0 headers to opencl20/CL
  * Move OpenCL 2.1 headers to opencl21/CL
  * Move OpenCL 2.2 headers to opencl22/CL
  * Fix typo in comment
* Thu Feb 16 2017 mpluskal@suse.com
- Update to version 2.2+git.20170213:
  * adding half defines to cl_platform.h
  * adding cl_arm_import_memory extension
  * adding cl_arm_shared_virtual_memory extension
  * OpenCL 2.1 CL_FLT_EPSILON fix
  * Replace hexdecimal fp constants with decimal fp constants
  * header updates for cl_intel_planar_yuv header updates for cl_intel_device_side_avc_motion_estimation
  * Fix -Wundef warning under Ubuntu 14.04
* Thu Nov 24 2016 mpluskal@suse.com
- Update to version 2.2+git.20161018:
  * added CL_DEVICE_HALF_FP_CONFIG define
  * Fix gcc -Wundef warning
  * cl_halfn declarations
  * added headers for Intel vendor extensions
  * Add tokens for cl_img_use_gralloc_ptr, cl_img_cached_allocations and  cl_img_yuv_image extensions (#13)
* Thu Jun 30 2016 mpluskal@suse.com
- Update to version 2.2+git.20160614:
  * Append _khr suffix to cl_kernel_sub_group_info typedef in cl_ext.h
  * Mark clGetKernelSubGroupInfoKHR as deprecated
* Tue Apr 19 2016 mpluskal@suse.com
- Update to 2.1+git.20160105
- Use _service instead of get-tarball.sh
* Sat Nov 21 2015 mpluskal@suse.com
- Update to 2.1_20151117
  * No changelog available
- Tiny spec file cleanup
* Sat Jun 13 2015 dmitry_r@opensuse.org
- Update to version 2.0_20141118
  * No changelog available
* Sat Jun 13 2015 dmitry_r@opensuse.org
- Update to version 1.2_20150303
  * No changelog available
- Use full version number
* Wed May  1 2013 prusnak@opensuse.org
- created package (version 1.2-20130212)
